commit:     c9138d9a4d1bcd4c1a5e5c1086d354717890c0a9
Author:     Oz Tiram <oz.tiram <AT> gmail <DOT> com>
AuthorDate: Mon Dec 16 10:35:04 2019 +0000
Commit:     Sebastian Pipping <sping <AT> gentoo <DOT> org>
CommitDate: Mon Dec 16 13:45:19 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c9138d9a

dev-python/pipenv: 2018.11.26

Closes: https://bugs.gentoo.org/696778
Closes: https://github.com/gentoo/gentoo/pull/12561
Package-Manager: Portage-2.3.79, Repoman-2.3.16
Signed-off-by: Oz Tiram <oz.tiram <AT> gmail.com>
Signed-off-by: Sebastian Pipping <sping <AT> gentoo.org>

 dev-python/pipenv/Manifest                 |  1 +
 dev-python/pipenv/pipenv-2018.11.26.ebuild | 46 ++++++++++++++++++++++++++++++
 2 files changed, 47 insertions(+)

diff --git a/dev-python/pipenv/Manifest b/dev-python/pipenv/Manifest
index cc9c28882e7..2cc1a0cd7ed 100644
--- a/dev-python/pipenv/Manifest
+++ b/dev-python/pipenv/Manifest
@@ -1 +1,2 @@
+DIST pipenv-2018.11.26.tar.gz 6560580 BLAKE2B 
a3846de696733b5f3f393163999d7f333b52accdcebadfd800507defd1108ac4ccb288b39fb805ecf03e417cfe0d1a8b2fc714a95e8ee4485f8622ff8fe4a1ca
 SHA512 
59582ad4a0730083ea58867f7a5d9714290d62947f56bec80e154d4359fe1dff16e44974a7fba3841e5f2516f2ce9709baf9954c9fc40fd66ebc46c3060d4dea
 DIST pipenv-9.0.0.tar.gz 3859618 BLAKE2B 
138e53b1ef08d036f4ded6b4ca9da1a88084ad3d987aea1c6783181de414f7b24a54d46b26c2171f0918a1b1c22e2dac983fafad8a80f4aa95f93979bebfe2df
 SHA512 
ea2d5ada73288a5d20473d769e20d6d195f65c3d3aebe2e52a43e1641af916295a18810bdb74a611751e773bfdfbc0ea7190d61358dce66d4aa33fa4a6f6131f

diff --git a/dev-python/pipenv/pipenv-2018.11.26.ebuild 
b/dev-python/pipenv/pipenv-2018.11.26.ebuild
new file mode 100644
index 00000000000..e5a60ca0a96
--- /dev/null
+++ b/dev-python/pipenv/pipenv-2018.11.26.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python{2_7,3_{5,6,7}} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python Development Workflow for Humans"
+HOMEPAGE="https://github.com/pypa/pipenv https://pypi.org/project/pipenv/";
+SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="test"
+
+RDEPEND="
+       dev-python/certifi[${PYTHON_USEDEP}]
+       dev-python/virtualenv[${PYTHON_USEDEP}]
+       >=dev-python/virtualenv-clone-0.2.5[${PYTHON_USEDEP}]
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       >=dev-python/pip-9.0.1[${PYTHON_USEDEP}]
+       >dev-python/requests-2.18.0[${PYTHON_USEDEP}]
+       >=dev-python/urllib3-1.21.1[${PYTHON_USEDEP}]
+       $(python_gen_cond_dep 'dev-python/enum34[${PYTHON_USEDEP}]' 'python2_7')
+       $(python_gen_cond_dep 'dev-python/typing[${PYTHON_USEDEP}]' 'python2_7')
+       $(python_gen_cond_dep 'dev-python/pathlib[${PYTHON_USEDEP}]' 
'python2_7')
+       $(python_gen_cond_dep 
'dev-python/backports-shutil_get_terminal_size[${PYTHON_USEDEP}]' 'python2_7')
+       "
+DEPEND="
+       >=dev-python/parver-0.2[${PYTHON_USEDEP}]
+       dev-python/invoke[${PYTHON_USEDEP}]
+       test? (
+               ${RDEPEND}
+               dev-python/pytest[${PYTHON_USEDEP}]
+       )"
+
+# not completely packed
+# requires networking
+RESTRICT="test"
+
+python_test() {
+       py.test -v -v || die
+}

Reply via email to